package com.iamberry.wechat.tools;

import org.springframework.stereotype.Component;

@Component
public class SendMessageUtil {
		
		/**
		 * 发送模板通知给用户
		 * @param date data 日期
		 * @param openId 接受的用户id
		 * @param url  点击打开的url
		 * @param type
		 * @return
		 */
		public boolean sendTemplateMessageToOpenid(String date,String openId, String url,Integer type) {
			boolean result = false;
			switch (type) {
			case 1:
				WeixinUtil.sendTemplateMessage(NameUtils.getConfig("appId"), NameUtils.getConfig("appSecret"), openId, ResultInfo.Order_template_id, date, url);
				break;
			default:
				break;
			}
			result = true;
			return  result;
		}

		public static void main(String[] args) {
	//		{{first.DATA}}用户名：{{keyword1.DATA}}	活动主题：{{keyword2.DATA}}	活动时间：{{keyword3.DATA}}	活动地点：{{keyword4.DATA}}	{{remark.DATA}}
			String date = "{'first':{'color':'#173177','value':'biaosti'},'keyword1':{'color':'#173177','value':'biaosti'},'keyword2':{'color':'#173177','value':'biaosti'},'keyword3':{'color':'#173177','value':'biaosti'},'keyword4':{'color':'#173177','value':'biaosti'}, 'remark':{'color':'#1C86EE','value':'xx'}}";
			String openId = "oZ9pv02WMRQgyDVRY1a_daYecwHI";
			String appId = "wxdb090f0af89e0be3";// 应用ID
			String appSecret = "518114a120274f625530750c1803921b";// 应用密钥

			WeixinUtil.sendTemplateMessage(appId, appSecret, openId, "EAHie4LJAWr82FfNiClPCr9zA4OEiiqvB2wINfUaT_k", date, "https://s.iamberry.com/soodo/wechat/index.html");
			System.out.println("发送成功");
		}



//	public static void main(String[] args) {
//		String date = "{'first':{'color':'#173177', 'value':'尊敬的客户您好~您的订单已发货~'}, 'order_id':{'color':'#173177','value':'1009145345B11792L'}, 'package_id':{'color':'#173177','value':'yuantong:34234234'}, 'remark':{'color':'#173177', 'value':'点击进入商城查看-->>'}}";
//		String openId = "o-icas0dRzE7WYAEAmcX4BQCUyFo";
//		String appId = "wxd995fb95b97ece1b";// 应用ID
//		String appSecret = "34922854462fba23cf54ce859349fcf4";// 应用密钥
//
//		WeixinUtil.sendTemplateMessage(appId, appSecret, openId, "744KA1PdB1I5PzRcjtxqbEz5t2bp8vdsi4I2ytW1rbE", date, "xx");
//		System.out.println("发送成功");
//	}
		
		/**
		 * 试用订单支付成功
		 * @param first  标题
		 * @param keyword1	支付金额
		 * @param keyword2	商品信息
		 * @param remark	全部内容
		 * @param openId	用户openid
		 * @param url	地址
		 */
		public void probationPaySuccess(String first,String keyword1,String keyword2,String remark,String openId,String url){
			String temp = ResultInfo.PROBATIONPAYSUCCESS;
			temp = temp.replaceFirst("firstValueIamberry", first)
					.replaceFirst("orderMoneySumValue",keyword1)
					.replaceFirst("orderProductNameValue",keyword2)
					.replaceFirst("remarkValue",remark);
			sendTemplateMessageToOpenid(temp, openId, url,8);
		}
}
